Skip to content

Upsert Sync Checkpoint

PUT
/v1/sync/checkpoints
curl --request PUT \
--url https://example.com/v1/sync/checkpoints \
--header 'Content-Type: application/json' \
--data '{ "tenant_id": "example", "proposal_id": "example", "connector_id": "example", "scope": "", "cursor_value": "example", "meta": {} }'
x-api-key
Any of:
string
Media typeapplication/json
SyncCheckpointUpsertIn
object
tenant_id
required
Tenant Id
string
>= 1 characters
proposal_id
required
Proposal Id
string
>= 1 characters
connector_id
required
Connector Id
string
scope
Scope
string
""
cursor_value
required
Cursor Value
string
meta
Meta
object
key
additional properties
any

Successful Response

Media typeapplication/json
SyncCheckpointOut
object
tenant_id
required
Tenant Id
string
id
required
Id
string
connector_id
required
Connector Id
string
scope
required
Scope
string
cursor_value
required
Cursor Value
string
meta
required
Meta
object
key
additional properties
any
Examplegenerated
{
"tenant_id": "example",
"id": "example",
"connector_id": "example",
"scope": "example",
"cursor_value": "example",
"meta": {}
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}